ONVIF::Device::Elements::GetDot11StatusResponse(3)

NAME
ONVIF::Device::Elements::GetDot11StatusResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetDot11StatusResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Status

     $element->set_Status($data);
     $element->get_Status();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetDot11StatusResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Status =>  { # ONVIF::Device::Types::Dot11Status
     SSID => $some_value, # Dot11SSIDType
     BSSID =>  $some_value, # string
     PairCipher => $some_value, # Dot11Cipher
     GroupCipher => $some_value, # Dot11Cipher
     SignalStrength => $some_value, # Dot11SignalStrength
     ActiveConfigAlias => $some_value, # ReferenceToken
   },
 },

AUTHOR
Generated by SOAP::WSDL